From: "Andreas Schuerch" <nativemad@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/ardour/
Date: Thu, 28 May 2020 14:15:09 +0000 (UTC) [thread overview]
Message-ID: <1590675220.796c79ae5c21967d86132a5913ff16d89b4c1399.nativemad@gentoo> (raw)
commit: 796c79ae5c21967d86132a5913ff16d89b4c1399
Author: Andreas Schuerch <nativemad <AT> gentoo <DOT> org>
AuthorDate: Thu May 28 14:11:33 2020 +0000
Commit: Andreas Schuerch <nativemad <AT> gentoo <DOT> org>
CommitDate: Thu May 28 14:13:40 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=796c79ae
media-sound/ardour: version bump to 6.0
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andreas Schuerch <nativemad <AT> gentoo.org>
media-sound/ardour/Manifest | 1 +
.../{ardour-9999.ebuild => ardour-6.0.ebuild} | 27 ++++++++++++++--------
media-sound/ardour/ardour-9999.ebuild | 27 ++++++++++++++--------
media-sound/ardour/metadata.xml | 3 +++
4 files changed, 38 insertions(+), 20 deletions(-)
diff --git a/media-sound/ardour/Manifest b/media-sound/ardour/Manifest
index 2715b3fb7e1..bf2aa3d6bda 100644
--- a/media-sound/ardour/Manifest
+++ b/media-sound/ardour/Manifest
@@ -1 +1,2 @@
+DIST Ardour-6.0.0.tar.bz2 10999598 BLAKE2B d403a76bb95a7c8dc411b45b54d9b1afb64ab0ba104c283c6890ec5bb152c9f67b825222460bb7b29a28724e7581023e5d3c7ce3b7ff9c88f3d584fab8cb03f7 SHA512 42cd5ea69200aefc60fc93ca7347f08fc511a9821a03023c4362d626f0957570ba0a7b174af67016f7fa27a29eed3c932d502e090d780125c63b5690faa642a3
DIST ardour-5.12.tar.bz2 8852834 BLAKE2B 0409d920ab0abc9e52a40cc343c5481d53292bea6e5c89c58328f95c53f7f09f30ce421f2ed0da0e3fdb4eaeeb5a25da0d07ed1d4c382b5b607f3b89324eca1b SHA512 c4b4332bddb2406924119c181622801725f4a7dd7741c1a66ddbc2236542764b786337da2f0a751f3bbe6e0389b5da765eb19b14a6a90c8f8a7fd68231e5067d
diff --git a/media-sound/ardour/ardour-9999.ebuild b/media-sound/ardour/ardour-6.0.ebuild
similarity index 80%
copy from media-sound/ardour/ardour-9999.ebuild
copy to media-sound/ardour/ardour-6.0.ebuild
index 36ca3e79777..304e08fcb60 100644
--- a/media-sound/ardour/ardour-9999.ebuild
+++ b/media-sound/ardour/ardour-6.0.ebuild
@@ -5,7 +5,8 @@ EAPI=6
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE='threads(+)'
#EPYTHON='python2.7'
-inherit eutils toolchain-funcs flag-o-matic python-any-r1 waf-utils
+PLOCALES="cs de el en_GB es eu fr it ja nn pl pt pt_PT ru sv zh"
+inherit eutils toolchain-funcs flag-o-matic l10n python-any-r1 waf-utils
DESCRIPTION="Digital Audio Workstation"
HOMEPAGE="http://ardour.org/"
@@ -15,13 +16,13 @@ if [[ ${PV} == *9999* ]]; then
inherit git-r3
else
KEYWORDS="~amd64 ~x86"
- SRC_URI="mirror://gentoo/${P}.tar.bz2"
+ SRC_URI="https://community.ardour.org/src/Ardour-${PV}.0.tar.bz2"
S="${WORKDIR}/Ardour-${PV}.0"
fi
LICENSE="GPL-2"
SLOT="6"
-IUSE="altivec doc jack cpu_flags_x86_sse cpu_flags_x86_mmx cpu_flags_x86_3dnow"
+IUSE="altivec doc jack nls phonehome cpu_flags_x86_sse cpu_flags_x86_mmx cpu_flags_x86_3dnow"
RDEPEND="
>=dev-cpp/glibmm-2.32.0
@@ -60,6 +61,7 @@ RDEPEND="
dev-libs/sord
>=media-libs/suil-0.6.10
>=media-libs/lv2-1.4.0"
+# !bundled-libs? ( media-sound/fluidsynth ) at leat libltc is missing to be able to unbundle...
DEPEND="${RDEPEND}
${PYTHON_DEPS}
@@ -77,10 +79,6 @@ pkg_setup() {
src_prepare() {
eapply_user
- if ! [[ ${PV} == *9999* ]]; then
- eapply "${FILESDIR}"/${PN}-4.x-revision-naming.patch
- touch "${S}/libs/ardour/revision.cc"
- fi
sed 's/'full-optimization\'\ :\ \\[.*'/'full-optimization\'\ :\ \'\','/' -i "${S}"/wscript || die
MARCH=$(get-flag march)
OPTFLAGS=""
@@ -106,6 +104,10 @@ src_prepare() {
append-flags "-lboost_system"
python_fix_shebang "${S}"/wscript
python_fix_shebang "${S}"/waf
+ my_lcmsg() {
+ rm -f {gtk2_ardour,gtk2_ardour/appdata,libs/ardour,libs/gtkmm2ext}/po/${1}.po
+ }
+ l10n_for_each_disabled_locale_do my_lcmsg
}
src_configure() {
@@ -115,13 +117,18 @@ src_configure() {
$(usex doc "--docs" '') \
$({ use altivec || use cpu_flags_x86_sse; } && echo "--fpu-optimization" || echo "--no-fpu-optimization") \
$(usex jack "--with-backends=alsa,jack" "--with-backends=alsa --libjack=weak") \
- --destdir="${D}" \
+ $( use phonehome && echo "--phone-home" ) || echo "--no-phone-home" \
+ $( use nls && echo "--nls" ) || echo --no-nls \
+ --destdir="${D}" \
--prefix=/usr \
--configdir=/etc \
- --nls \
--optimize
+#not possible right now --use-external-libs
+}
+src_compile() {
+ waf-utils_src_compile
+ use nls && waf-utils_src_compile i18n
}
-
src_install() {
waf-utils_src_install
mv ${PN}.1 ${PN}${SLOT}.1
diff --git a/media-sound/ardour/ardour-9999.ebuild b/media-sound/ardour/ardour-9999.ebuild
index 36ca3e79777..304e08fcb60 100644
--- a/media-sound/ardour/ardour-9999.ebuild
+++ b/media-sound/ardour/ardour-9999.ebuild
@@ -5,7 +5,8 @@ EAPI=6
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE='threads(+)'
#EPYTHON='python2.7'
-inherit eutils toolchain-funcs flag-o-matic python-any-r1 waf-utils
+PLOCALES="cs de el en_GB es eu fr it ja nn pl pt pt_PT ru sv zh"
+inherit eutils toolchain-funcs flag-o-matic l10n python-any-r1 waf-utils
DESCRIPTION="Digital Audio Workstation"
HOMEPAGE="http://ardour.org/"
@@ -15,13 +16,13 @@ if [[ ${PV} == *9999* ]]; then
inherit git-r3
else
KEYWORDS="~amd64 ~x86"
- SRC_URI="mirror://gentoo/${P}.tar.bz2"
+ SRC_URI="https://community.ardour.org/src/Ardour-${PV}.0.tar.bz2"
S="${WORKDIR}/Ardour-${PV}.0"
fi
LICENSE="GPL-2"
SLOT="6"
-IUSE="altivec doc jack cpu_flags_x86_sse cpu_flags_x86_mmx cpu_flags_x86_3dnow"
+IUSE="altivec doc jack nls phonehome cpu_flags_x86_sse cpu_flags_x86_mmx cpu_flags_x86_3dnow"
RDEPEND="
>=dev-cpp/glibmm-2.32.0
@@ -60,6 +61,7 @@ RDEPEND="
dev-libs/sord
>=media-libs/suil-0.6.10
>=media-libs/lv2-1.4.0"
+# !bundled-libs? ( media-sound/fluidsynth ) at leat libltc is missing to be able to unbundle...
DEPEND="${RDEPEND}
${PYTHON_DEPS}
@@ -77,10 +79,6 @@ pkg_setup() {
src_prepare() {
eapply_user
- if ! [[ ${PV} == *9999* ]]; then
- eapply "${FILESDIR}"/${PN}-4.x-revision-naming.patch
- touch "${S}/libs/ardour/revision.cc"
- fi
sed 's/'full-optimization\'\ :\ \\[.*'/'full-optimization\'\ :\ \'\','/' -i "${S}"/wscript || die
MARCH=$(get-flag march)
OPTFLAGS=""
@@ -106,6 +104,10 @@ src_prepare() {
append-flags "-lboost_system"
python_fix_shebang "${S}"/wscript
python_fix_shebang "${S}"/waf
+ my_lcmsg() {
+ rm -f {gtk2_ardour,gtk2_ardour/appdata,libs/ardour,libs/gtkmm2ext}/po/${1}.po
+ }
+ l10n_for_each_disabled_locale_do my_lcmsg
}
src_configure() {
@@ -115,13 +117,18 @@ src_configure() {
$(usex doc "--docs" '') \
$({ use altivec || use cpu_flags_x86_sse; } && echo "--fpu-optimization" || echo "--no-fpu-optimization") \
$(usex jack "--with-backends=alsa,jack" "--with-backends=alsa --libjack=weak") \
- --destdir="${D}" \
+ $( use phonehome && echo "--phone-home" ) || echo "--no-phone-home" \
+ $( use nls && echo "--nls" ) || echo --no-nls \
+ --destdir="${D}" \
--prefix=/usr \
--configdir=/etc \
- --nls \
--optimize
+#not possible right now --use-external-libs
+}
+src_compile() {
+ waf-utils_src_compile
+ use nls && waf-utils_src_compile i18n
}
-
src_install() {
waf-utils_src_install
mv ${PN}.1 ${PN}${SLOT}.1
diff --git a/media-sound/ardour/metadata.xml b/media-sound/ardour/metadata.xml
index 20dec2c8d4e..1f9044f06be 100644
--- a/media-sound/ardour/metadata.xml
+++ b/media-sound/ardour/metadata.xml
@@ -8,4 +8,7 @@
<upstream>
<remote-id type="github">Ardour/ardour</remote-id>
</upstream>
+ <use>
+ <flag name="phonehome">contact ardour.org at startup for new announcements</flag>
+ </use>
</pkgmetadata>
next reply other threads:[~2020-05-28 14:15 UTC|newest]
Thread overview: 131+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-28 14:15 Andreas Schuerch [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-24 15:47 [gentoo-commits] repo/gentoo:master commit in: media-sound/ardour/ Jakov Smolić
2024-11-19 8:38 Miroslav Šulc
2024-10-31 11:49 Miroslav Šulc
2024-10-31 11:46 Miroslav Šulc
2024-10-31 11:13 Miroslav Šulc
2024-10-31 10:56 Miroslav Šulc
2024-10-31 10:42 Miroslav Šulc
2024-10-19 11:20 Miroslav Šulc
2024-10-19 10:29 Miroslav Šulc
2024-10-15 7:44 Miroslav Šulc
2024-10-13 11:06 Sam James
2024-10-10 10:45 Miroslav Šulc
2024-10-06 7:43 Miroslav Šulc
2024-09-15 10:27 Miroslav Šulc
2024-09-13 7:17 Miroslav Šulc
2024-08-20 10:37 Miroslav Šulc
2024-08-19 10:51 Arthur Zamarin
2024-07-20 9:55 Miroslav Šulc
2024-05-18 9:54 Miroslav Šulc
2024-05-17 13:05 Sam James
2024-04-15 7:37 Miroslav Šulc
2024-04-12 9:13 Miroslav Šulc
2024-03-27 8:34 Miroslav Šulc
2024-03-25 10:13 Sam James
2024-02-29 0:51 Sam James
2024-02-21 9:53 Miroslav Šulc
2024-01-13 13:01 Miroslav Šulc
2024-01-13 12:49 Arthur Zamarin
2023-12-13 22:46 Miroslav Šulc
2023-11-22 11:16 Arthur Zamarin
2023-10-21 8:12 Miroslav Šulc
2023-10-15 21:09 Miroslav Šulc
2023-10-09 11:33 Miroslav Šulc
2023-10-08 8:58 Miroslav Šulc
2023-10-03 22:02 Miroslav Šulc
2023-10-03 21:51 Miroslav Šulc
2023-10-03 21:51 Miroslav Šulc
2023-10-03 21:34 Miroslav Šulc
2023-10-03 21:18 Miroslav Šulc
2023-10-03 21:17 Miroslav Šulc
2023-10-03 19:05 Miroslav Šulc
2023-09-24 7:48 Miroslav Šulc
2023-09-06 18:43 WANG Xuerui
2023-09-06 18:43 WANG Xuerui
2023-07-26 23:11 Sam James
2023-06-25 7:21 Miroslav Šulc
2023-05-30 5:50 Miroslav Šulc
2023-05-29 17:57 Arthur Zamarin
2023-05-29 17:57 Arthur Zamarin
2023-05-29 13:11 Andreas Sturmlechner
2023-05-29 13:11 Andreas Sturmlechner
2023-05-21 7:46 Miroslav Šulc
2023-04-28 6:45 Miroslav Šulc
2023-02-27 6:30 Miroslav Šulc
2023-02-16 9:48 Miroslav Šulc
2022-12-14 8:09 Miroslav Šulc
2022-11-04 7:40 Miroslav Šulc
2022-10-16 4:53 Miroslav Šulc
2022-10-16 4:53 Miroslav Šulc
2022-09-18 13:34 Miroslav Šulc
2022-09-10 8:41 Sam James
2022-07-15 7:58 David Seifert
2022-03-20 21:55 Sam James
2021-11-18 8:35 Miroslav Šulc
2021-09-24 7:23 Miroslav Šulc
2021-09-24 7:00 Agostino Sarubbo
2021-09-23 13:58 Agostino Sarubbo
2021-08-14 19:53 Miroslav Šulc
2021-08-14 7:11 Miroslav Šulc
2021-08-11 6:47 Miroslav Šulc
2021-08-11 6:43 Agostino Sarubbo
2021-08-07 5:10 Agostino Sarubbo
2021-07-02 19:32 Miroslav Šulc
2021-06-30 6:45 Miroslav Šulc
2021-06-29 21:24 Sam James
2021-06-24 21:47 Sam James
2021-05-22 8:37 Miroslav Šulc
2021-04-18 17:53 Miroslav Šulc
2021-04-18 17:52 Miroslav Šulc
2021-03-29 6:51 Miroslav Šulc
2021-03-28 18:18 Sam James
2021-03-26 21:36 Sam James
2021-02-24 10:53 Miroslav Šulc
2021-02-16 2:12 Matt Turner
2021-01-15 8:49 Miroslav Šulc
2021-01-14 23:59 Sam James
2021-01-13 9:18 Sam James
2021-01-06 8:55 Miroslav Šulc
2021-01-05 20:51 Sam James
2020-12-28 12:10 Miroslav Šulc
2020-12-28 12:10 Miroslav Šulc
2020-12-28 12:10 Miroslav Šulc
2020-12-26 1:14 Sam James
2020-11-25 9:14 Miroslav Šulc
2020-11-12 12:28 Sam James
2020-10-18 18:06 Thomas Deutschmann
2020-10-12 7:31 Miroslav Šulc
2020-09-20 12:51 Sam James
2020-09-16 17:10 Miroslav Šulc
2020-09-12 10:20 Miroslav Šulc
2020-09-07 18:55 Miroslav Šulc
2020-08-13 8:37 Lars Wendler
2020-08-13 8:37 Lars Wendler
2020-04-04 6:12 Jason A. Donenfeld
2019-10-01 13:47 Andreas Schuerch
2019-09-20 11:16 Andreas Schuerch
2018-07-04 14:45 Andreas Schuerch
2017-11-29 15:27 Andreas Schuerch
2017-11-29 15:18 Andreas Schuerch
2017-07-29 21:47 Michael Weber
2017-05-17 16:32 Andreas Schuerch
2017-05-10 9:04 Alexis Ballier
2017-03-08 12:31 Andreas Schuerch
2017-02-25 15:03 Patrice Clement
2017-02-13 12:36 Andreas Schuerch
2016-12-06 9:48 Lars Wendler
2016-12-05 10:05 Andreas Schuerch
2016-09-19 13:17 Lars Wendler
2016-09-16 12:06 Andreas Schuerch
2016-08-24 7:40 Andreas Schuerch
2016-08-16 16:00 Andreas Schuerch
2016-06-10 15:01 Andreas Schuerch
2016-02-22 16:38 Andreas Schuerch
2016-01-14 6:16 Andreas Schuerch
2016-01-12 13:53 Andreas Schuerch
2015-11-01 12:06 Andreas Schuerch
2015-10-29 8:14 Andreas Schuerch
2015-08-19 11:40 Lars Wendler
2015-08-17 15:39 Ben de Groot
2015-08-15 5:30 Ben de Groot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1590675220.796c79ae5c21967d86132a5913ff16d89b4c1399.nativemad@gentoo \
--to=nativemad@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox